## ros-lunar-phidgets-imu 0.7.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(phidgets_imu)

find_package(catkin REQUIRED COMPONENTS diagnostic_msgs diagnostic_updater nodelet pluginlib phidgets_api roscpp roslaunch sensor_msgs std_msgs std_srvs tf)

find_package(Boost REQUIRED COMPONENTS thread)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES phidgets_imu 
  DEPENDS Boost
  CATKIN_DEPENDS diagnostic_msgs diagnostic_updater nodelet pluginlib phidgets_api roscpp sensor_msgs std_msgs std_srvs tf
)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_library(phidgets_imu src/imu_ros_i.cpp)
add_library(phidgets_imu_nodelet src/phidgets_imu_nodelet.cpp)

add_executable(phidgets_imu_node src/phidgets_imu_node.cpp)

add_dependencies(phidgets_imu ${catkin_EXPORTED_TARGETS})
add_dependencies(phidgets_imu_nodelet ${catkin_EXPORTED_TARGETS})
add_dependencies(phidgets_imu_node ${catkin_EXPORTED_TARGETS})

target_link_libraries(phidgets_imu ${catkin_LIBRARIES} ${Boost_LIBRARIES})
target_link_libraries(phidgets_imu_nodelet ${catkin_LIBRARIES} phidgets_imu)
target_link_libraries(phidgets_imu_node ${catkin_LIBRARIES} phidgets_imu)

install(TARGETS phidgets_imu phidgets_imu_nodelet phidgets_imu_node
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h"
)

install(DIRECTORY config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES phidgets_imu_nodelet.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

roslaunch_add_file_check(launch)

=== debian/changelog ===
ros-lunar-phidgets-imu (0.7.8-1stretch) stretch; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-lunar-phidgets-imu (0.7.7-1stretch) stretch; urgency=high

  * Add parameter use_imu_time (default true) (#27 <https://github.com/ros-drivers/phidgets_drivers/issues/27>)
    Setting use_imu_time to false will disable the imu time calibration and
    always use the Host time, i.e. ros::Time::now().
  * Contributors: Jochen Sprickerhof

 -- Martin Guenther <martin.guenther@dfki.de>  Mon, 17 Sep 2018 22:00:00 -0000

ros-lunar-phidgets-imu (0.7.6-1stretch) stretch; urgency=high

  * phidgets_imu: Ensure strictly ordered timestamps (#26 <https://github.com/ros-drivers/phidgets_drivers/issues/26>)
    Fixes #17 <https://github.com/ros-drivers/phidgets_drivers/issues/17>.
  * Contributors: Michael Grupp, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Wed, 08 Aug 2018 22:00:00 -0000

ros-lunar-phidgets-imu (0.7.5-1stretch) stretch; urgency=high

  * phidgets_imu: Add roslaunch_add_file_check
  * phidgets_imu: Add diagnostic_aggregator dependency
  * phidgets_imu: Add missing install rule for config
  * update to use non deprecated pluginlib macro (#19 <https://github.com/ros-drivers/phidgets_drivers/issues/19>)
  * Contributors: Martin Günther, Mikael Arguedas

 -- Martin Guenther <martin.guenther@dfki.de>  Tue, 30 Jan 2018 23:00:00 -0000

ros-lunar-phidgets-imu (0.7.4-1stretch) stretch; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Tue, 03 Oct 2017 22:00:00 -0000

ros-lunar-phidgets-imu (0.7.3-1stretch) stretch; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 29 Jun 2017 22:00:00 -0000

ros-lunar-phidgets-imu (0.7.2-1stretch) stretch; urgency=high

  * First release into Lunar
  * phidgets_imu: Add use_magnetic_field_msg to launch
    This is required in Jade: Since Jade, phidgets_imu publishes
    MagneticField messages, but imu_filter_madgwick still subscribes by
    default to Vector3Stamped messages. When running as nodelets, this can
    produce a silent error.
    In Kinetic, this is optional: imu_filter_madgwick now defaults to
    MagneticField.
    From Lunar on, it should be removed, because the use_magnetic_field_msg
    param was removed from imu_filter_madgwick.
  * Contributors: Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 01 Jun 2017 22:00:00 -0000

ros-lunar-phidgets-imu (0.7.1-1stretch) stretch; urgency=high

  * phidgets_imu: add optional serial number parameter (#7 <https://github.com/ros-drivers/phidgets_drivers/issues/7>)
  * phidgets_imu: Add imu_filter_madgwick dependency
    Closes #9 <https://github.com/ros-drivers/phidgets_drivers/issues/9>.
  * Contributors: Johan M. von Behren, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 21 May 2017 22:00:00 -0000

ros-lunar-phidgets-imu (0.7.0-1stretch) stretch; urgency=high

  * Publish MagneticField instead of Vector3Stamped
  * Report mag data in Tesla, not Gauss
    This is to conform with sensor_msgs/MagneticField, which requires the
    data to be in Tesla.
  * Contributors: Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 16 Feb 2017 23:00:00 -0000

ros-lunar-phidgets-imu (0.2.3-1stretch) stretch; urgency=high

  * Add IMU diagnostics (#24 <https://github.com/ccny-ros-pkg/phidgets_drivers/pull/24>)
  * Set data rate after reattachment
    This fixes a bug where after disconnecting and reconnecting the USB
    cable, the data rate would be set to the default of 125 Hz (= period of
    8ms). By moving the setDataRate call to the attachHandler, the data rate
    is correctly set after each reattachment.
  * Contributors: Mani Monajjemi, Keshav Iyengar, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 16 Feb 2017 23:00:00 -0000

ros-lunar-phidgets-imu (0.2.2-1stretch) stretch; urgency=high

  * Merge pull request #18 from ccny-ros-pkg/libphidgets
    Merge libphidgets branch into indigo
  * set orientation_covariance[0] to -1
    from Imu.msg:
    > If you have no estimate for one of the data elements (e.g. your IMU doesn't produce an orientation
    > estimate), please set element 0 of the associated covariance matrix to -1.
  * phidgets_imu: fixed issue #9
  * Contributors: Martin Günther, Murilo FM

 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 22 Mar 2015 23:00:00 -0000

ros-lunar-phidgets-imu (0.2.1-1stretch) stretch; urgency=high

  * add boost depends to CMakeLists
    All non-catkin things that we expose in our headers should be added to
    the DEPENDS, so that packages which depend on our package will also
    automatically link against it.
    Also see: http://answers.ros.org/question/58498/what-is-the-purpose-of-catkin_depends/#58593
  * improve error output when setting compass corr params
    The previous implementation didn't catch a number of error codes
    (EPHIDGET_INVALIDARG, EPHIDGET_NOTATTACHED, EPHIDGET_UNEXPECTED), and
    the new one is more elegant and consistent with the previous code anyway.
  * Set compass correction params on the device
    Tested with a Phidget Spatial 3/3/3 1044.
  * phidgets_imu: install phidgets_imu_nodelet.xml
  * phidgets_imu: not exporting nodelet as library anymore
  * Updated version, maintainer and author information
  * phidgets_imu: added install rule to launch files
  * phidgets_imu: removed unnecessary dependency
  * Deleted comments within files of all packages
  * Catkinised packages
  * Merge pull request #1 from uos/fix_imu_time_lag
    fix IMU time lag
  * add some hints to error message
    I just spent 30 minutes trying to figure out why the IMU works on one
    computer and doesn't on another one. Felt a little foolish when I found
    out that the udev rules weren't installed; maybe providing some more
    info in the error message helps others.
  * use ros::Time::now() if time lag exceeds threshold
  * added warning if IMU time lags behind ROS time


=== debian/control ===
Source: ros-lunar-phidgets-imu
Section: misc
Priority: extra
Maintainer: Martin Guenther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-diagnostic-msgs, ros-lunar-diagnostic-updater, ros-lunar-nodelet, ros-lunar-phidgets-api, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-roslaunch, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-tf
Homepage: http://ros.org/wiki/phidgets_imu
Standards-Version: 3.9.2

Package: ros-lunar-phidgets-imu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-diagnostic-aggregator, ros-lunar-diagnostic-msgs, ros-lunar-diagnostic-updater, ros-lunar-imu-filter-madgwick, ros-lunar-nodelet, ros-lunar-phidgets-api, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-tf
Description: Driver for the Phidgets Spatial 3/3/3 devices

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-phidgets-imu//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
